| GL Studio C++ Runtime API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
LiveComponentAccessor Class Reference

`#include <live_component_accessor.h>`

## Public Types
typedef void(* | CreateCb) (ComponentBase *)
| Typedef for an on create callback function pointer.

## Public Member Functions
virtual LiveComponentAccessor * | Clone (ComponentBase *newComp)
virtual void | Delete ()
| Deletes the LiveComponentAccessor, it's associated component, and the LiveComponentLibRef.
const GlsBuiltVersionInfo & | BuiltVersion ()
const char * | LoadedFilePath ()
const char * | LoadedClassName ()

## Static Public Member Functions
static LiveComponentAccessor * | CreateInstance (LiveComponentLibRef *lib, const char *className, ComponentBase *comp)

## Detailed Description

LiveComponentAccessor keeps the LiveComponent library loaded in the application. and stores the information necessary to safely delete the component.

## Member Function Documentation

## ◆ BuiltVersion()

const GlsBuiltVersionInfo & BuiltVersion | ( |  | ) |

Returns
  The RSO library version info.

## ◆ Clone()

virtual LiveComponentAccessor * Clone | ( | ComponentBase * | newComp | ) |
| virtual

Clone the LiveComponentAccessor to apply to a new component instance.

Parameters

  newComp | The component reference to make a clone from.

Returns
  A new LiveComponentAccessor object.

## ◆ CreateInstance()

static LiveComponentAccessor * CreateInstance | ( | LiveComponentLibRef * | lib,
|  | const char * | className,
|  | ComponentBase * | comp
| ) |  |
| static

Creates a LiveComponentAccessor and associates it with the given component.

Parameters

  lib | Pointer to the underlying library the component was loaded from.
  className | The generated class name for the component.
  comp | Pointer to the component reference.

Returns
  A new LiveComponentAccessor object.

## ◆ LoadedClassName()

const char * LoadedClassName | ( |  | ) |

Returns
  The RSO's class name.

## ◆ LoadedFilePath()

const char * LoadedFilePath | ( |  | ) |

Returns
  The RSO library path.

The documentation for this class was generated from the following file:

- live_component_accessor.h